<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

$schema = \IoC::resolve( 'sqlschema' );

$schema->dropTableIfexists( 'failed_login' );
$schema->dropTableIfexists( 'recognized_ip');

$configurationHandler = \IoC::resolve( 'databaseConfigurationHandler' );
$settings = new \Configuration( $configurationHandler );

unset( $settings['limit_login_attempts.max_lockout_time'] );
unset( $settings['limit_login_attempts.max_ip_address_ban_time'] );
unset( $settings['limit_login_attempts.overall_failed_attempts_limit'] );
unset( $settings['limit_login_attempts.timeframe'] );

$configurationHandler->save();

$logger = \IoC::resolve( 'logger' );
$logger->info( 'Plugin limit_login_attempts successfully uninstalled.' );

return true;
